// LevelPacksDlg.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "LevelPacksDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLevelPacksDlg dialog


CLevelPacksDlg::CLevelPacksDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLevelPacksDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLevelPacksDlg)
	//}}AFX_DATA_INIT

	m_strLevelSelected.Empty();
}


void CLevelPacksDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLevelPacksDlg)
	DDX_Control(pDX, IDOK, m_btPlay);
	DDX_Control(pDX, IDC_LEVELPACKS, m_lbLevelsList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLevelPacksDlg, CDialog)
	//{{AFX_MSG_MAP(CLevelPacksDlg)
	ON_LBN_SELCHANGE(IDC_LEVELPACKS, OnSelchangeLevelpacks)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLevelPacksDlg message handlers

void CLevelPacksDlg::OnOK() 
{
	CDialog::OnOK();
}

BOOL CLevelPacksDlg::OnInitDialog()
{
	CDialog::OnInitDialog();


	HANDLE hFind;
	//int iRet;
	WIN32_FIND_DATA fdFileData;

	hFind=FindFirstFile(TEXT("\\My Documents\\Irked2 Levels\\*.lvl"), &fdFileData);
	if(hFind !=INVALID_HANDLE_VALUE)
	{
		m_btPlay.EnableWindow(TRUE);
		fdFileData.cFileName[wcslen(fdFileData.cFileName)-4]=0;
		m_lbLevelsList.AddString(fdFileData.cFileName);
		while(FindNextFile(hFind,&fdFileData))
		{
			fdFileData.cFileName[wcslen(fdFileData.cFileName)-4]=0;
			m_lbLevelsList.AddString(fdFileData.cFileName);
		}
	}

	return TRUE;
}

void CLevelPacksDlg::OnSelchangeLevelpacks() 
{
	 m_lbLevelsList.GetText(m_lbLevelsList.GetCurSel(),m_strLevelSelected);
	return;
}
