// PocketIrked2View.h : interface of the CPocketIrked2View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PocketIRKED2VIEW_H__3E5C68A4_21B7_469F_8D17_9EC17B551E97__INCLUDED_)
#define AFX_PocketIRKED2VIEW_H__3E5C68A4_21B7_469F_8D17_9EC17B551E97__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "afxtempl.h"


//quicker Implementation by Birdsoft.net :)
class CIrkedBrick
{
public:
	CIrkedBrick() 
	{
		m_iBitmap = 0;
	}
	void SetBitmap(int iRef) { m_iBitmap = iRef;}

	void GetWindowRect(CRect& rect)
	{
		rect.SetRect(m_pt.x,m_pt.y,m_pt.x + 16,m_pt.y + 16);
	}

	int m_iBitmap;
	CPoint m_pt;
};


class CPocketIrked2View : public CView
{
protected: // create from serialization only
	CPocketIrked2View();
	DECLARE_DYNCREATE(CPocketIrked2View)

// Attributes
public:
	CPocketIrked2Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPocketIrked2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPocketIrked2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void DrawBricks(CDC* pDC);
	BOOL m_bInit;

protected:
// GDI Objects
	CToolBarCtrl m_tbSecondBar;
	

	CBitmap m_bmpBricks[10];
//	CStatic m_sBricks[10][8];
	CIrkedBrick m_sBricks[10][8];
	
	CStatic m_sAuthor;
	CStatic m_sURL;
	CStatic m_sDescription;

	int m_iDnI;
	int m_iDnJ;
	int m_iCount;
	int m_iMoves;

// Generated message map functions
protected:
	//{{AFX_MSG(CPocketIrked2View)
	afx_msg void OnBack();
	afx_msg void OnFirst();
	afx_msg void OnGameAbout();
	afx_msg void OnGameHowtoplay();
	afx_msg void OnGameMemory();
	afx_msg void OnGamePreferences();
	afx_msg void OnGameRecall();
	afx_msg void OnGameReplaycurrentlevel();
	afx_msg void OnGameUndo();
	afx_msg void OnLast();
	afx_msg void OnLevelBlocksremaining();
	afx_msg void OnLevelClearsolvedlevels();
	afx_msg void OnLevelFirst();
	afx_msg void OnLevelLast();
	afx_msg void OnLevelLevelpacks();
	afx_msg void OnLevelLookup();
	afx_msg void OnLevelNext();
	afx_msg void OnLevelPrevious();
	afx_msg void OnLevelShowsolution();
	afx_msg void OnLookup();
	afx_msg void OnMem();
	afx_msg void OnNext();
	afx_msg void OnRecall();
	afx_msg void OnRestart();
	afx_msg void OnUndo();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnUpdateGameUndo(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGameMemory(CCmdUI* pCmdUI);
	afx_msg void OnUpdateGameRecall(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLevelFirst(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLevelLast(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLevelNext(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLevelPrevious(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLevelShowsolution(CCmdUI* pCmdUI);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PocketIrked2View.cpp
inline CPocketIrked2Doc* CPocketIrked2View::GetDocument()
   { return (CPocketIrked2Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PocketIRKED2VIEW_H__3E5C68A4_21B7_469F_8D17_9EC17B551E97__INCLUDED_)
